NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.RoutingCommon.AssignCornerBuilder Class Reference

Builder class for Assign Corner which creates corner More...

Inheritance diagram for NXOpen.RoutingCommon.AssignCornerBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CornerType { None, Bend, Miter }
 Defines the corner types. More...
 

Public Member Functions

unsafe void GetBendCornerAttributes (out NXOpen.NXObject.AttributeInformation[] attributes)
 Gets the corner attributes that came from the bend radius table. More...
 
unsafe
NXOpen.Assemblies.Component[] 
GetCreatedComponents ()
 Components created during Assign Corner operation. More...
 
unsafe void GetLogicalObjects (out NXOpen.PDM.LogicalObject[] logicalObjects)
 Returns the PDM.LogicalObject that represent the content that will be created by this builder. More...
 
unsafe void PreCommit ()
 Performs the operations needed prior to a commit. More...
 
unsafe void RemoveBendCornerAttributes (NXOpen.Routing.Corner[] corners)
 Removes the corner attributes that came from the bend radius table. More...
 
unsafe void SetBendCornerAttributes (NXOpen.NXObject.AttributeInformation[] attributes)
 Sets the corner attributes that came from the bend radius table. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.RoutingCommon.BendCornerTypeBuilder 
BendCornerSettings [get]
 Returns the bend corner block More...
 
unsafe
NXOpen.Routing.RouteObjectCollector 
ControlPointSelection [get]
 Returns the routing control points collector More...
 
unsafe
NXOpen.RoutingCommon.CornerBuilder 
CornerSettings [get]
 Returns the corner block More...
 
unsafe
NXOpen.RoutingCommon.AssignCornerBuilder.CornerType 
Type [get, set]
 Returns or sets the assign corner type More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder class for Assign Corner which creates corner

To create a new instance of this class, use NXOpen.RoutingCommon.BuilderFactory.CreateAssignCornerBuilder

Default values.

Property Value

BendCornerSettings.Method (deprecated)

Radius

BendCornerSettings.Radius.Value (deprecated)

0 (millimeters part), 0 (inches part)

BendCornerSettings.RatioToDiameter.Value (deprecated)

0 (millimeters part), 0 (inches part)

CornerSettings.CornerType

None

Created in NX11.0.0

Member Enumeration Documentation

Defines the corner types.

None, Miter and Bend.

Enumerator
None 
Bend 
Miter 

Member Function Documentation

unsafe void NXOpen.RoutingCommon.AssignCornerBuilder.GetBendCornerAttributes ( out NXOpen.NXObject.AttributeInformation[]  attributes)
inline

Gets the corner attributes that came from the bend radius table.

Created in NX12.0.1

License requirements: routing_base ("Routing Basic")

Parameters
attributes
unsafe NXOpen.Assemblies.Component [] NXOpen.RoutingCommon.AssignCornerBuilder.GetCreatedComponents ( )
inline

Components created during Assign Corner operation.

Created in NX11.0.1

License requirements: routing_base ("Routing Basic")

Returns
Components created during Assign Corner operation.
unsafe void NXOpen.RoutingCommon.AssignCornerBuilder.GetLogicalObjects ( out NXOpen.PDM.LogicalObject[]  logicalObjects)
inline

Returns the PDM.LogicalObject that represent the content that will be created by this builder.

logical objects will be created only for miter corner case.

Created in NX11.0.1

License requirements: routing_base ("Routing Basic")

Parameters
logicalObjects
unsafe void NXOpen.RoutingCommon.AssignCornerBuilder.PreCommit ( )
inline

Performs the operations needed prior to a commit.

This method has to be called before invoking commit.

Created in NX11.0.1

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.RoutingCommon.AssignCornerBuilder.RemoveBendCornerAttributes ( NXOpen.Routing.Corner[]  corners)
inline

Removes the corner attributes that came from the bend radius table.

Created in NX12.0.1

License requirements: routing_base ("Routing Basic")

Parameters
corners
unsafe void NXOpen.RoutingCommon.AssignCornerBuilder.SetBendCornerAttributes ( NXOpen.NXObject.AttributeInformation[]  attributes)
inline

Sets the corner attributes that came from the bend radius table.

Created in NX12.0.1

License requirements: routing_base ("Routing Basic")

Parameters
attributes

Property Documentation

unsafe NXOpen.RoutingCommon.BendCornerTypeBuilder NXOpen.RoutingCommon.AssignCornerBuilder.BendCornerSettings
get

Returns the bend corner block

Created in NX11.0.0

Deprecated in NX11.0.1. Use NXOpen.RoutingCommon.AssignCornerBuilder.CornerSettings instead.

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.Routing.RouteObjectCollector NXOpen.RoutingCommon.AssignCornerBuilder.ControlPointSelection
get

Returns the routing control points collector

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.RoutingCommon.CornerBuilder NXOpen.RoutingCommon.AssignCornerBuilder.CornerSettings
get

Returns the corner block

Created in NX11.0.1

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.RoutingCommon.AssignCornerBuilder.CornerType NXOpen.RoutingCommon.AssignCornerBuilder.Type
getset

Returns or sets the assign corner type

Created in NX11.0.0

Deprecated in NX11.0.1. Use NXOpen.RoutingCommon.CornerBuilder.CornerType instead.

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.